<span *ngIf="showLoader">
    <img src="assets/img/loader.gif"
        style=" height: 130px; position: fixed; margin: auto; z-index: 999999; left: 45%; top: 45%;" alt="loader"/>
</span>
<div class="row  border-bottom white-bg dashboard-header">
    <h2>Welcome to {{company_details.company_name}} Admin</h2>
</div>

<div class="row" style="padding-top:15px;">
    <div class="col-sm-2">
        <mat-select [(ngModel)]="filter_time" name="filter_time" class="form-control"
            (ngModelChange)="date_selected('all',filter_time)" [disabled]="customerStatsLoading || showLoader">
            <mat-option value="2">Last Hour</mat-option>
            <mat-option value="1">Last 24 Hour</mat-option>
            <mat-option value="4">Last week</mat-option>
            <mat-option value="5">Last month</mat-option>
            <mat-option value="6">Custom</mat-option>
        </mat-select>
    </div>
    <div class="col-sm-3 custom-position" *ngIf="filter_time=='6';">
        <input [(ngModel)]="startDate" name="start_date" [max]="max" [owlDateTimeTrigger]="dtPicker1"
            [owlDateTime]="dtPicker1" placeholder="Start Date" class="form-control" (ngModelChange)="getOrdercounts()"
            (click)="checkShiftstartTime()" [readonly]="customerStatsLoading || showLoader"
            [ngStyle]="{'pointer-events':customerStatsLoading || showLoader?'none':'inherit'}">
        <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"
            (click)="checkShiftstartTime()"
            [ngStyle]="{'pointer-events':customerStatsLoading || showLoader?'none':'inherit'}"></i>
        <owl-date-time [pickerMode]="'dialog'" #dtPicker1></owl-date-time>
    </div>
    <div class="col-sm-3 custom-position" *ngIf="filter_time=='6';">
        <input [(ngModel)]="endDate" name="end_date" [min]="startDate" [max]="max" [owlDateTimeTrigger]="dtPicker2"
            [owlDateTime]="dtPicker2" placeholder="End Date" class="form-control" (ngModelChange)="getOrdercounts()"
            (click)="checkShiftstartTime()" [readonly]="customerStatsLoading || showLoader"
            [ngStyle]="{'pointer-events':customerStatsLoading || showLoader?'none':'inherit'}">
        <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker2"
            (click)="checkShiftstartTime()"
            [ngStyle]="{'pointer-events':customerStatsLoading || showLoader?'none':'inherit'}"></i>
        <owl-date-time [pickerMode]="'dialog'" #dtPicker2></owl-date-time>
    </div>
    <div *ngIf="disabledCompany">
        <div class="col-sm-3 col-md-3 text-center">
            <mat-select [(ngModel)]="companyIdFilter" placeholder="Company" class="form-control" multiple
                [disabled]="customerStatsLoading || showLoader">
                <mat-option value="all" (click)="selectAllCompany()">All</mat-option>
                <mat-option (click)="companyManualSelect()" *ngFor="let company of companyData" [value]="company._id">
                    {{company.company_name}}
                </mat-option>
            </mat-select>
        </div>
        <button (click)="getOrdercounts()" class="btn blue"
            [disabled]="customerStatsLoading || showLoader">Search</button>
    </div>
</div>
<br>
<div class="row" *ngIf="aclMenu.overallStats">
    <div class="gallery no-target">
        <div>
            <p class="stat_text">BILLED<img src="assets/img/stats_icons/bill_icon.png" style="float: right"
                    alt="MyTaxi"></p>
            <div class="top-padding">
                <span class="stat_count">{{order_driven}} </span>KM
            </div>
        </div>
    </div>
    <div class="gallery no-target">
        <div>
            <p class="stat_text">SHIFT DRIVEN<img src="assets/img/stats_icons/shiftdriven_icon.png" style="float: right"
                    alt="MyTaxi"></p>
            <div class="top-padding">
                <span class="stat_count">{{shift_driven}} </span>KM
            </div>
        </div>
    </div>
    <div class="gallery no-target">
        <p class="stat_text">TRIPS<img src="assets/img/stats_icons/trip_icon.png" style="float: right" alt="MyTaxi"></p>
        <div class="top-padding">
            <span class="stat_count">{{totalOrders}} </span>
        </div>
    </div>
    <div class="gallery no-target">
        <p class="stat_text">TOTAL REVENUE<img src="assets/img/stats_icons/revenue_icon.png" style="float: right"
                alt="MyTaxi"></p>
        <div class="top-padding">
            <span class="stat_count">{{total_revenue}} </span>AED
        </div>
    </div>
    <div class="gallery no-target">
        <p class="stat_text">SALIK<img src="assets/img/stats_icons/toll_icon.png" style="float: right" alt="MyTaxi"></p>
        <div class="top-padding">
            <span class="stat_count">{{total_salik}} </span>AED
        </div>
    </div>
</div>
<div class="row" *ngIf="aclMenu.vehicleStats">
    <h2 style="padding-left:15px;">Vehicle stats</h2>
    <div class="col-sm-4">
        <div class='ed vehicle1'>
            <img class="icon-img" style="float: left;" src="assets/img/fleet.png" alt="MyTaxi">
            <h1 class="text-right">{{vehicleLogged}}</h1>
            <p>Logged in Vehicles <img src="assets/img/csv.png" *ngIf="aclMenu.downloads" (click)="createCsv(5)" class="csv-img" alt="csv" /></p>
        </div>
    </div>
    <div class="col-sm-4">
        <div class='ed vehicle2'>
            <img class="icon-img" style="float: left;" src="assets/img/fleet.png" alt="MyTaxi">
            <h1 class="text-right">{{vehicleLoggedWithout}}</h1>
            <p>Logged out Vehicles <img src="assets/img/csv.png" *ngIf="aclMenu.downloads" (click)="createCsv(6)" class="csv-img" alt="createCsv"/></p>
        </div>
    </div>
    <div class="col-sm-4">
        <div class='ed vehicle3'>
            <div class="gallery-box">
                <img class="icon-img" style="float: left;" src="assets/img/fleet.png" alt="MyTaxi">
                <h1 class="text-right">{{ fleetUtilization | number : '1.2-2'}} %</h1>
                <p>Fleet utilisation</p>
            </div>
            <div class="targets">
                <div class="progress-percentage-wrapper">
                    <div class="progress-percentage ng-cloak"><i aria-hidden="true" class="glyphicon glyphicon-ok"
                            *ngIf="target(fleetUtilization,95)>=100;else perce" style="color:green"></i>
                        <ng-template #perce>{{target(fleetUtilization,100)}}%</ng-template>
                    </div>
                    <span>
                        <h4>Target</h4>
                        95% Fleet Utilization
                    </span>
                    <round-progress [current]="target(fleetUtilization,100)" [max]="100" [radius]="40" [stroke]="10"
                        [duration]="800" [animation]="'easeInOutQuart'" [animationDelay]="0"
                        [color]="targetColor(target(fleetUtilization,100),true)">
                    </round-progress>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row" *ngIf="aclMenu.customerVehicleStats">
    <h2 style="padding-left:15px;margin-bottom: 0;">Customer App Vehicle stats
        <img src="assets/img/csv.png" *ngIf="aclMenu.downloads" (click)="createCsv(1)" class="csv-img" alt="createCsv"/></h2>
</div>
<div class="row bcw" *ngIf="aclMenu.customerVehicleStats">
    <div class="col-sm-3 br-1">
        <div class='ed vehicleStats'>
            <img class="icon-img" style="float: left;" src="assets/img/fleet.png" alt="MyTaxi">
            <h1 class="text-right">{{customerVehicleStats?.free}}</h1>
            <p>Free Vehicles</p>
        </div>
    </div>
    <div class="col-sm-3 br-1">
        <div class='ed vehicleStats'>
            <img class="icon-img" style="float: left;" src="assets/img/fleet.png" alt="MyTaxi">
            <h1 class="text-right">{{customerVehicleStats?.freelance_in_trip}}</h1>
            <p>Booked Freelance Vehicles</p>
        </div>
    </div>
    <div class="col-sm-3 br-1">
        <div class='ed vehicleStats'>
            <img class="icon-img" style="float: left;" src="assets/img/fleet.png" alt="MyTaxi">
            <h1 class="text-right">{{ customerVehicleStats?.dtc_in_trip}}</h1>
            <p>Booked DTC Vehicles</p>
        </div>
    </div>
    <div class="col-sm-3">
        <div class='ed vehicleStats'>
            <img class="icon-img" style="float: left;" src="assets/img/fleet.png" alt="MyTaxi">
            <h1 class="text-right">{{ customerVehicleStats?.total_booked}}</h1>
            <p>Total Vehicles</p>
        </div>
    </div>
</div>
<div class="row" *ngIf="aclMenu.customerStats" style="position:relative">
    <h2 style="padding-left:15px;">Customer app stats
        <img src="assets/img/csv.png" *ngIf="aclMenu.downloads" (click)="createCsv(7)" class="csv-img" alt="csv"/>
    </h2>
    <span *ngIf="customerStatsLoading && !showLoader">
        <img src="assets/img/loader.gif"
            style=" height: 130px; position: absolute; margin: auto; z-index: 999999; left: 35%; top: 100px;" alt="create loader" />
    </span>
    <div class="gallery" [ngClass]="{'no-target':filter_time !== '1'}">
        <div class="gallery-box">
            <p class="stat_text">Total Completed Trips<img src="assets/img/stats_icons/trip_icon.png"
                    style="float: right" alt="MyTaxi"></p>
            <div class="top-padding">
                <span class="stat_count">{{customerStats.customer_order}} </span><br />
            </div>
            <div class="incdec" *ngIf="hike">
                <span [ngClass]="getClass(hike.customer_order)">
                    <i class="fa" [ngClass]="getIcon(hike.customer_order)" aria-hidden="true"></i>
                    {{hike.customer_order}}%
                </span>
                <span> past {{pastTime()}}</span>
            </div>
        </div>
        <div class="targets" *ngIf="filter_time==='1'">
            <div class="progress-percentage-wrapper">
                <div class="progress-percentage ng-cloak"><i aria-hidden="true" class="glyphicon glyphicon-ok"
                        *ngIf="target(customerStats.customer_order,100)>=500;else perce" style="color:green"></i>
                    <ng-template #perce>{{target(customerStats.customer_order,500)}}%</ng-template>
                </div>
                <span>
                    <h4>Target</h4>
                    Daily 500 Trips
                </span>
                <round-progress [current]="target(customerStats.customer_order,500)" [max]="100" [radius]="40"
                    [stroke]="10" [duration]="800" [animation]="'easeInOutQuart'" [animationDelay]="0"
                    [color]="targetColor(target(customerStats.customer_order,500),true)">
                </round-progress>
            </div>
        </div>
    </div>
    <div class="gallery no-target">
        <p class="stat_text">Paid through cash<img src="assets/img/stats_icons/revenue_icon.png" style="float: right"
                alt="MyTaxi"></p>
        <div class="top-padding">
            <span class="stat_count">{{customerStats.customer_cash}} </span>AED
        </div>
        <div class="incdec" *ngIf="hike">
            <span [ngClass]="getClass(hike.customer_cash)">
                <i class="fa" [ngClass]="getIcon(hike.customer_cash)" aria-hidden="true"></i>
                {{hike.customer_cash}}%
            </span>
            <span> past {{pastTime()}}</span>
        </div>
    </div>
    <div class="gallery no-target">
        <p class="stat_text">Paid through online<img src="assets/img/stats_icons/bill_icon.png" style="float: right"
                alt="MyTaxi"></p>
        <div class="top-padding">
            <span class="stat_count">{{customerStats.customer_card}} </span>AED
        </div>
        <div class="incdec" *ngIf="hike">
            <span [ngClass]="getClass(hike.customer_card)">
                <i class="fa" [ngClass]="getIcon(hike.customer_card)" aria-hidden="true"></i>
                {{hike.customer_card}}%
            </span>
            <span> past {{pastTime()}}</span>
        </div>
    </div>
    <div class="gallery">
        <div class="gallery-box">
            <p class="stat_text">Average Rating<img src="assets/img/stats_icons/trip_icon.png" style="float: right"
                    alt="MyTaxi"></p>
            <div class="top-padding">
                <span class="stat_count">{{customerStats.avg_rating}} </span>
            </div>
            <div class="incdec" *ngIf="hike">
                <span [ngClass]="getClass(hike.avg_rating)">
                    <i class="fa" [ngClass]="getIcon(hike.avg_rating)" aria-hidden="true"></i> {{hike.avg_rating}}%
                </span>
                <span> past {{pastTime()}}</span>
            </div>
        </div>
        <div class="targets">
            <div class="progress-percentage-wrapper">
                <div class="progress-percentage ng-cloak"><i aria-hidden="true" class="glyphicon glyphicon-ok"
                        *ngIf="target(customerStats.avg_rating,4.9)>=100;else perceR" style="color:green"></i>
                    <ng-template #perceR>{{target(customerStats.avg_rating,5)}}%</ng-template>
                </div>
                <span>
                    <h4>Target</h4>
                    4.9 Rating
                </span>
                <round-progress [current]="target(customerStats.avg_rating,5)" [max]="100" [radius]="40" [stroke]="10"
                    [duration]="800" [animation]="'easeInOutQuart'" [animationDelay]="0"
                    [color]="targetColor(target(customerStats.avg_rating,5),true)">
                    {{target(customerStats.avg_rating,5)}}%</round-progress>
            </div>
        </div>
    </div>
    <div class="gallery">

        <div class="gallery-box">
            <p class="stat_text">Average system ETA<img src="assets/img/stats_icons/trip_icon.png" style="float: right"
                    alt="MyTaxi"></p>
            <div class="top-padding">
                <span class="stat_count">{{convertToMinutes(customerStats.customer_eta)}} </span>Minutes
            </div>
            <div class="incdec" *ngIf="hike">
                <span [ngClass]="getClass(hike.customer_eta)">
                    <i class="fa" [ngClass]="getIcon(hike.customer_eta)" aria-hidden="true"></i>
                    {{hike.customer_eta}}%
                </span>
                <span> past {{pastTime()}}</span>
            </div>
        </div>
        <div class="targets">
            <div class="progress-percentage-wrapper">
                <span>
                    <h4>Target</h4>
                    5 Minutes
                </span>
                <div class="progress-percentage ng-cloak"><i class="glyphicon glyphicon-ok"
                        *ngIf="customerStats.customer_eta<=5;else perceSTA" style="color:green" aria-hidden="true"></i>
                    <ng-template #perceSTA><i aria-hidden="true" class="glyphicon glyphicon-remove" style="color:red"></i>
                    </ng-template>
                </div>
                <round-progress [current]="100" [max]="100" [radius]="40" [stroke]="10" [duration]="800"
                    [animation]="'easeInOutQuart'" [animationDelay]="0"
                    [color]="targetColor(customerStats.customer_eta,false)"></round-progress>
            </div>
        </div>
    </div>
    <div class="gallery" *ngIf="customerStats.customer_actual_eta">
        <div class="gallery-box">
            <p class="stat_text">Average actual ETA<img src="assets/img/stats_icons/trip_icon.png" style="float: right"
                    alt="MyTaxi"></p>
            <div class="top-padding">
                <span class="stat_count">{{convertToMinutes(customerStats.customer_actual_eta)}} </span>Minutes
            </div>
            <div class="incdec" *ngIf="hike">
                <span [ngClass]="getClass(hike.customer_actual_eta)">
                    <i class="fa" [ngClass]="getIcon(hike.customer_actual_eta)" aria-hidden="true"></i>
                    {{hike.customer_actual_eta}}%
                </span>
                <span> past {{pastTime()}}</span>
            </div>
        </div>
        <div class="targets">
            <div class="progress-percentage-wrapper">
                <span>
                    <h4>Target</h4>
                    5 Minutes
                </span>

                <div class="progress-percentage ng-cloak"><i class="glyphicon glyphicon-ok"
                        *ngIf="customerStats.customer_actual_eta<=5;else perceSTA" style="color:green" aria-hidden="true"></i>
                    <ng-template #perceSTA><i aria-hidden="true" class="glyphicon glyphicon-remove" style="color:red"></i>
                    </ng-template>
                </div>
                <round-progress [current]="100" [max]="100" [radius]="40" [stroke]="10" [duration]="800"
                    [animation]="'easeInOutQuart'" [animationDelay]="0"
                    [color]="targetColor(customerStats.customer_actual_eta,false)"></round-progress>
            </div>
        </div>
    </div>
    <div class="gallery no-target">
        <p class="stat_text">Order Cancelled<img src="assets/img/stats_icons/trip_icon.png" style="float: right"
                alt="MyTaxi"></p>
        <div class="top-padding">
            <span class="stat_count">{{customerStats.customer_cancel}} </span>%
        </div>
        <div class="incdec" *ngIf="hike">
            <span [ngClass]="getClass(hike.customer_cancel)">
                <i class="fa" [ngClass]="getIcon(hike.customer_cancel)" aria-hidden="true"></i>
                {{hike.customer_cancel}}%
            </span>
            <span> past {{pastTime()}}</span>
        </div>
    </div>
    <div class="gallery no-target">
        <p class="stat_text">Order timed out<img src="assets/img/stats_icons/trip_icon.png" style="float: right"
                alt="MyTaxi"></p>
        <div class="top-padding">
            <span class="stat_count">{{customerStats.order_timed_out}} </span>%
        </div>
        <div class="incdec" *ngIf="hike">
            <span [ngClass]="getClass(hike.order_timed_out)">
                <i class="fa" [ngClass]="getIcon(hike.order_timed_out)" aria-hidden="true"></i>
                {{hike.order_timed_out}}%
            </span>
            <span> past {{pastTime()}}</span>
        </div>
    </div>
    <div class="gallery" *ngFor="let model of customerStats.driver_acceptance_rate">
        <div class="gallery-box">
            <p class="stat_text" style="margin:0">Driver acceptance rate<img src="assets/img/stats_icons/trip_icon.png"
                    style="float: right" alt="MyTaxi"></p>
            <span class="model-name">({{model._id}})</span>
            <div class="top-padding">
                <span class="stat_count">{{model.driver_acceptance | number:'1.2-2'}} </span>%
            </div>
            <div class="incdec" *ngIf="hike">
                <span [ngClass]="getClass(model.hike)">
                    <i class="fa" [ngClass]="getIcon(model.hike)" aria-hidden="true"></i>
                    {{model.hike | number:'1.2-2'}}%
                </span>
                <span> past {{pastTime()}}</span>
            </div>

        </div>
        <div class="targets">
            <div class="progress-percentage-wrapper">
                <div class="progress-percentage ng-cloak"><i aria-hidden="true" class="glyphicon glyphicon-ok"
                        *ngIf="target(model.driver_acceptance,95)>=100;else perceAR" style="color:green"></i>
                    <ng-template #perceAR>{{target(model.driver_acceptance,95)}}%</ng-template>
                </div>
                <span>
                    <h4>Target</h4>
                    95% Acceptance rate
                </span>
                <round-progress [current]="target(model.driver_acceptance,95)" [max]="100" [radius]="40" [stroke]="10"
                    [duration]="800" [animation]="'easeInOutQuart'" [animationDelay]="0"
                    [color]="targetColor(target(model.driver_acceptance,95),true)">
                    {{target(model.driver_acceptance,95)}}%</round-progress>
            </div>
        </div>
    </div>
</div>

<ng-template #loading class='gallery'>
    <img class="img loading" src="assets/img/loader.gif" style="height:100px;width:100px;padding-top:40px" alt="loader">
</ng-template>